#ifndef XSURFACECOLLISIONNODE_H
#define XSURFACECOLLISIONNODE_H

#include "xasset.h"
#include "xsurfacecollisionaabb.h"

class XSurfaceCollisionNode : public XAsset
{
public:
    explicit XSurfaceCollisionNode();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    XSurfaceCollisionAabb mAABB;
    quint16 mChildBeginIndex;
    quint16 mChildCount;
};

#endif // XSURFACECOLLISIONNODE_H
